MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024793Community[OCCT] OCCT:Documentationpublic2014-04-03 17:172014-05-05 13:39
ReporterTimo 
Assigned Toabv 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024793: Documentation of methods using BRepFill_TypeOfContact has to be updated according to changes introduced in OCCT 6.7.0
DescriptionThe reference (code) documentation has not been updated according to the changes introduced by #24305: "Implementation of swept shell with varying width of section bounded by auxiliary spine".

In the following methods the type of parameter KeepContact was changed from Standard_Boolean to BRepFill_TypeOfContact but the documentation of the parameter was not changed:

BRepFill_PipeShell::Set(const TopoDS_Wire& AuxiliarySpine,
                  const Standard_Boolean CurvilinearEquivalence,
                  const BRepFill_TypeOfContact KeepContact)

BRepOffsetAPI_MakePipeShell::SetMode(const TopoDS_Wire& AuxiliarySpine,
                                           const Standard_Boolean CurvilinearEquivalence,
                                           const BRepFill_TypeOfContact KeepContact)


A proposal for documentation using the explanations in the OCCT 6.7.0 Release Notes:

In case of BRepFill_NoContact:
The Normal is defined by the vector PQ.

In case of BRepFill_Contact:
The Normal is defined to achieve that the sweeped section is in contact to the auxiliarySpine.
The width of section is constant all along the path.
In other words, the auxiliary spine lies on the swept surface, but not necessarily is a boundary of this surface. However, the auxiliary spine has to be close enough to the main spine to provide intersection with any section all along the path.

In case of BRepFill_ContactOnBorder:
The auxiliary spine becomes a boundary of the swept surface and the width of section varies along the path.




It would also be possible to put this documentation only in a single place (BRepFill_TypeOfContact.hxx).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028802)
ysn (developer)
2014-04-11 17:36

Dear Julia, as far as I understand, this bug is about documenting in the code the changes introduced by bug 24305 and it does not concern User's Guides.
(0028819)
Timo (developer)
2014-04-14 12:27

Yes, it is about the code documentation, not User's Guide.
(0028928)
jgv (developer)
2014-04-17 13:46

Dear Yury, please review the branch CR24793.
(0028944)
ysn (developer)
2014-04-17 17:20

Fine for me, but let the maintainer of the component decide.
(0028946)
ifv (developer)
2014-04-17 17:33

Ok
(0029034)
mkv (tester)
2014-04-23 12:29

Dear BugMaster,

Branch CR24793 was compiled on Linux platform.
SHA-1: 3354e33ab936442a942a69a3f093a75117871f76

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)

- Related Changesets
occt: master 2a62d883
Timestamp: 2014-04-17 09:44:16
Author: abv
Committer: abv
Details ] Diff ]
0024793: Documentation of methods using BRepFill_TypeOfContact has to be updated according to changes introduced in OCCT 6.7.0
mod - src/BRepFill/BRepFill_PipeShell.cdl Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipeShell.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-03 17:17 Timo New Issue
2014-04-03 17:17 Timo Assigned To => ysn
2014-04-03 17:34 Timo Description Updated View Revisions
2014-04-11 17:33 ysn Assigned To ysn => Timo
2014-04-11 17:33 ysn Assigned To Timo => jgv
2014-04-11 17:36 ysn Note Added: 0028802
2014-04-14 12:27 Timo Note Added: 0028819
2014-04-17 13:45 jgv Assigned To jgv => ysn
2014-04-17 13:46 jgv Note Added: 0028928
2014-04-17 13:46 jgv Status new => resolved
2014-04-17 17:20 ysn Note Added: 0028944
2014-04-17 17:20 ysn Assigned To ysn => ifv
2014-04-17 17:33 ifv Note Added: 0028946
2014-04-17 17:33 ifv Status resolved => reviewed
2014-04-23 12:29 mkv Note Added: 0029034
2014-04-23 12:30 mkv Test case number => Not needed
2014-04-23 12:30 mkv Assigned To ifv => bugmaster
2014-04-23 12:30 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master 2a62d883
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker